package com.goldenwater.yjjt.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;

/**
 * 引江济太文件对象 gx_yjjt_file
 */
public class YjjtFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "文件名")
    private String fileViewname;

    private String fileSavename;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fileTime;

    private String filePath;

    @Excel(name = "文件大小")
    private Long fileSize;

    @Excel(name = "文件类型")
    private String fileType;

    @Excel(name = "上传人")
    private String userName;

    private Long userId;

    private String isSync;

    @Excel(name = "业务类型", readConverterExp = "SL=水量,SZ=水质,FA=方案,YJJT_MAIL=邮件")
    private String bizType;

    private String delFlag;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getFileViewname() { return fileViewname; }
    public void setFileViewname(String fileViewname) { this.fileViewname = fileViewname; }
    public String getFileSavename() { return fileSavename; }
    public void setFileSavename(String fileSavename) { this.fileSavename = fileSavename; }
    public Date getFileTime() { return fileTime; }
    public void setFileTime(Date fileTime) { this.fileTime = fileTime; }
    public String getFilePath() { return filePath; }
    public void setFilePath(String filePath) { this.filePath = filePath; }
    public Long getFileSize() { return fileSize; }
    public void setFileSize(Long fileSize) { this.fileSize = fileSize; }
    public String getFileType() { return fileType; }
    public void setFileType(String fileType) { this.fileType = fileType; }
    public String getUserName() { return userName; }
    public void setUserName(String userName) { this.userName = userName; }
    public Long getUserId() { return userId; }
    public void setUserId(Long userId) { this.userId = userId; }
    public String getIsSync() { return isSync; }
    public void setIsSync(String isSync) { this.isSync = isSync; }
    public String getBizType() { return bizType; }
    public void setBizType(String bizType) { this.bizType = bizType; }
    public String getDelFlag() { return delFlag; }
    public void setDelFlag(String delFlag) { this.delFlag = delFlag; }
}
